Page MenuHomePhabricator

Force clients to do a full update if they attempt to get changes with a date older than the latest "soft delete" interval
Closed, ResolvedPublic

Description

In order to support a sync API with soft deletes while purging older data, we must set a reasonable window for clients to get changes before purging.

This window is set in T168990: Purge soft deletes on a regular basis

For this ticket, we need to return an error in the a client passes a date older than that window to the sync API. This error should instruct the client to do a full download as they may have missed changes if they use the sync API.

Event Timeline

Tgr added a subscriber: Tgr.EditedAug 22 2017, 12:07 AM

Done in https://gerrit.wikimedia.org/r/#/c/366980/. Clients get an error message with the message key readinglists-apierror-too-old (can be checked with errorformat=raw) when they ask for changes beyond the delete purging interval. The API help (via action=paraminfo) for the changedsince parameter can be used to learn what that interval is.

Tgr claimed this task.Aug 22 2017, 12:17 AM
Tgr added a comment.Sep 1 2017, 5:06 AM

...although I guess just using PARAM_MIN would be more natural.

Tgr added a comment.Nov 14 2017, 12:20 AM

The interval is also exposed via siteinfo since aad8ba15.

Tgr closed this task as Resolved.Nov 14 2017, 12:21 AM